# Deriving population scaling rules from individual-level metabolism and life history trait

Individual metabolism generally scales with body mass with an exponent around 3/4. From dimensional arguments it follows that population growth rate scales with a -1/4 exponent. However, a concise theory describing the relation between individual metabolic rate, life history traits, and population growth rate is yet to be established. Here we develop a general theory that scales from individual metabolic rate towards population growth rate. We identify four general cases of how life-history patterns scale to population growth rates across a group of species. These cases are determined by whether individual traits of growth and/or offspring size are proportional or independent to adult size. One case -- constant adult:offspring mass ratio and growth independent of adult size -- leads to the -1/4 scaling of population growth rates. The other three cases lead either to population growth rates with different power-laws scaling with adult size or do not follow a power-law relationship at all. Using life-history data of five marine taxa and terrestrial mammals, we identified species groups that belong to each case: elasmobranchs, copepods, and mammals follow standard metabolic scaling principles, whereas teleost fish and bivalves do not have a pure power-law scaling. Our work extends standard metabolic theory by anchoring it in a deeper size-based theoretical framework. The theory is general and can be applied to all life.
